#### Description:

This function reads a double from the supplied null-terminated string, ignoring leading and trailing white space. AST__BAD is ereturned without error if the string is not a numerical value.

#### Synopsis

double astChr2Double( const char ∗str )

#### Parameters:

##### str

Pointer to the string.

#### Returned Value

##### astChr2Double()

The double value, or AST__BAD.

#### Notes:

- A value of AST__BAD is returned if this function is invoked with the global error status set or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory